#数据库启动方式
data:
  #是否初始化
  init: false
  #脚本升级版本号，该更新脚本版本号不可修改，因为系统版本升级代码有问题，当前版本号17
  upgradeVersion: 1

#服务端口
server:
  port: 8806

#UPLOAD FILE 上传文件
upload:
  #文件存储磁盘
     disk: E:/factoringSystem/V2.0/demo/

spring:
  thymeleaf:
    cache: false
  datasource:
    #主数据库
    master:
      continueOnError: true
      type: com.alibaba.druid.pool.DruidDataSource
      url: jdbc:mysql://localhost/factoring_v2_demo?useSSL=false
      username: factoring_demo
      password: factoring
      driver-class-name: com.mysql.jdbc.Driver
      initialSize: 5
      minIdle: 5
      maxActive: 20
      maxWait: 60000
      timeBetweenEvictionRunsMillis: 60000
      validationQuery: SELECT 1
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      poolPreparedStatements: true
      maxPoolPreparedStatementPerConnectionSize: 20
      filters: stat
      connectionProperties: druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
  http:
    multipart:
      max-file-size: 16384Mb
      max-request-size: 65536Mb
#LOG
logging:
  level:
    com.sunxung: error

#PAGEHELPER
pagehelper:
    helperDialect: mysql
    reasonable: false
    supportMethodsArguments: true
    params: count=countSql

#Redis缓存服务配置
redis:
  #最大连接数
  maxTotal: 100
  #最小空闲连接数
  maxIdle: 0
  #每次逐出检查时 逐出的最大数目
  numTestsPerEvictionRun: 20
  #对象空闲多久后逐出
  softMinEvictableIdleTimeMillis: 10000
  #逐出连接的最小空闲时间
  minEvictableIdleTimeMillis: 1800000
  #逐出扫描的时间间隔(毫秒)
  timeBetweenEvictionRunsMillis: 30000
  #连接时的最大等待毫秒数
  maxWaitMillis: 2000
  #在获取连接的时候检查有效性
  testOnBorrow: true
  #在空闲时检查有效性
  testWhileIdle: true
  #服务地址
  url: 127.0.0.1
  #端口(redis默认6379端口，如本地redis.conf文件未改动端口号，无需修改)
  port: 6379
  #数据库索引号
  indexDB: 3

#线上银科的钉钉
dingding:
  corpId: dingdd51677da92e7b3f35c2f4657eb6378f
  corpSecret: wYInMCXxnAFIrcf9te4DKWC1IbBJbTlWwhneU_lRxYcdWtKLt1r3m6l0HdWpT6Mj
